// MC9090_TestDlg.h : Headerdatei
//

#pragma once
#include "fecom.h"

// CMC9090_TestDlg-Dialogfeld
class CMC9090_TestDlg : public CDialog
{
// Konstruktion
public:
	CMC9090_TestDlg(CWnd* pParent = NULL);	// Standardkonstruktor

// Dialogfelddaten
	enum { IDD = IDD_MC9090_TEST_DIALOG };
	CComboBox m_Cbo_Ports;
	BOOL m_bCTS;
	CListBox m_EventList;


	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV-Untersttzung

// Implementierung
protected:
	HICON m_hIcon;
	int m_iPortHnd;
	int m_iReaderHnd;

	FECOM_EVENT_INIT m_Init;

	// Generierte Funktionen fr die Meldungstabellen
	virtual BOOL OnInitDialog();
#if defined(_DEVICE_RESOLUTION_AWARE) && !defined(WIN32_PLATFORM_WFSP)
	afx_msg void OnSize(UINT /*nType*/, int /*cx*/, int /*cy*/);
#endif
	afx_msg void OnBnClickedBtnOpen();
	afx_msg void OnBnClickedChkRts();
	afx_msg void OnBnClickedBtn0x65();
	afx_msg LRESULT OnCTSMessage(WPARAM wparam,LPARAM lparam);
	afx_msg LRESULT OnRTSMessage(WPARAM wparam,LPARAM lparam);
	afx_msg LRESULT OnConnect(WPARAM wparam,LPARAM lparam);
	afx_msg LRESULT OnDisConnect(WPARAM wparam,LPARAM lparam);
	DECLARE_MESSAGE_MAP()
};
